CURLOPT_HEADEROPT(3)

NAME
CURLOPT_HEADEROPT - set how to send HTTP headers

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HEADEROPT, long bitmask);

DESCRIPTION
Pass a long that is a bitmask of options of how to deal with headers. The two mutually exclusive options are: CURLHEADER_UNIFIED - keep working as before. This means CURLOPT_HTTPHEADER(3) headers will be used in requests both to servers and proxies. With this option enabled, CURLOPT_PROXYHEADER(3) will not have any effect. CURLHEADER_SEPARATE - makes CURLOPT_HTTPHEADER(3) headers only get sent to a server and not to a proxy. Proxy headers must be set with CURLOPT_PROXYHEADER(3) to get used. Note that if a non-CONNECT request is sent to a proxy, libcurl will send both server headers and proxy headers. When doing CONNECT, libcurl will send CURLOPT_PROXYHEADER(3) headers only to the proxy and then CURLOPT_HTTPHEADER(3) headers only to the server.

DEFAULT
CURLHEADER_UNIFIED

PROTOCOLS
HTTP

EXAMPLE
TODO

AVAILABILITY
Added in 7.37.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_HTTPHEADER(3), CURLOPT_PROXYHEADER(3),